> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update AI content by contentId

> Update AI content by contentId



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /aicontent/{contentId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /aicontent/{contentId}:
    put:
      tags:
        - AI content
      summary: Update AI content by contentId
      description: Update AI content by contentId
      operationId: UpdateByContentId
      parameters:
        - in: path
          name: contentId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAIContentDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    UpdateAIContentDto:
      properties:
        title:
          type: string
        content: {}
        type:
          type: string
        batchId:
          type: string
        readMoreUrl:
          type: string
        readMoreLabel:
          type: string
      required:
        - title
        - content
        - type
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````